## org.apache.batik.css.parser
Class DefaultAndCondition

    java.lang.Object
      org.apache.batik.css.parser.AbstractCombinatorCondition
          org.apache.batik.css.parser.DefaultAndCondition

All Implemented Interfaces:
  CombinatorCondition, Condition

public class DefaultAndCondition
extends AbstractCombinatorCondition

This class provides an implementation of the `CombinatorCondition` interface.

Field Summary

Fields inherited from class org.apache.batik.css.parser.AbstractCombinatorCondition
`firstCondition, secondCondition`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`DefaultAndCondition(Condition c1, Condition c2)` Creates a new CombinatorCondition object.

Method Summary
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.parser.AbstractCombinatorCondition
`getFirstCondition, getSecondCondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultAndCondition

    public DefaultAndCondition(Condition c1,
                               Condition c2)

  Creates a new CombinatorCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.